:root {
    --primary: rgba(211, 197, 197, 1);
    --secondary: rgba(212, 0, 59, 1);
}
.border-bottom {
    border-bottom: 1px solid #e6ebf1 !important;
}
.border-Top {
    border-bottom: 1px solid #e6ebf1 !important;
}
#preloader-background, #circle-loader {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: center;
    justify-content: center;
    -webkit-box-align: center;
    align-items: center;
    display: -webkit- flex;
    display: -ms- flex;
    display: flex;
    -ms-flex-pack: center;
    justify-content: center;
    -ms-flex-align: center;
    align-items: center;
    position: relative;
}       
#preloader-background {
    background: white;
    height: 100%;
    width: 100%;
    position: fixed;
    z-index: 9;
    overflow: hidden;
}
#preloader-background img{
    position: absolute;
    width: 50px;
}
.form-error{
    color:#CE0034;
}

#circle-loader {
    width: 120px;
    height: 120px;
    border-style: solid;
    border-width: 5px;
    border-top-color: #FF0204;
    border-right-color: #FF0204;
    border-bottom-color: #FFD4DE;
    border-left-color: #FFD4DE;
    border-radius: 50%;
    -webkit-animation: spinLoader 2s linear infinite;
    animation: spinLoader 2s linear infinite;
}
@-webkit-keyframes spinLoader {
    0% {
        -webkit-transform: rotate(0deg);
        transform: rotate(0deg);
    }
    100% {
        -webkit-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}
@keyframes spinLoader {
    0% {
        -webkit-transform: rotate(0deg);
        transform: rotate(0deg);
    }
    100% {
        -webkit-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}

#centre-logo {
    position: fixed;
    width: 70px;
    height: 70px;
    padding-bottom: 10px;  
}

.animatePageIn {
    position: relative;
    -webkit-animation-name: animatePageIn;
    -webkit-animation-duration: 3s;
    animation-name: animatePageIn;
    animation-duration: 3s;
}
@-webkit-keyframes animatePageIn {
    from {
        opacity: 0;
    }
    to {
        opacity: 1;
    }
}
@keyframes animatePageIn {
    from {
        opacity: 0;
    }
    to {
        opacity: 1;
    }
}
.main-wrapper{
    width: 100%;
    height:100%;
}
button:focus:not(:focus-visible) {
    outline: 0;
    box-shadow: none !important;
}
/* Button & Link Effect */
.mc-btn-link{
	position: relative;
	z-index: 1;
	overflow: hidden;
    background-color: #CE0034;
    border:none;
    height: 48px;
    color: #ffffff;
    display: block;
}
.mc-btn-link:hover{
    background-color: #CE0034;
    border:none;
    color: #ffffff;
}
.mc-btn-link:before, .mc-btn-link:after {
	position: absolute;
	top: 50%;
	content: '';
    width: 20px;
	height: 20px;
	background-color: #2FC57F;
	border-radius: 50%;
	z-index: -1;
}

.mc-btn-link:before {
	left: -20px;
	-webkit-transform: translate(-50%, -50%);
	transform: translate(-50%, -50%);
}

.mc-btn-link:after {
	right: -20px;
	-webkit-transform: translate(50%, -50%);
	transform: translate(50%, -50%);
}

.mc-btn-link:hover:before {
	-webkit-animation: criss-cross-left 0.8s both;
	animation: criss-cross-left 0.8s both;
	-webkit-animation-direction: alternate;
	animation-direction: alternate;
}

.mc-btn-link:hover:after {
	-webkit-animation: criss-cross-right 0.8s both;
	animation: criss-cross-right 0.8s both;
	-webkit-animation-direction: alternate;
	animation-direction: alternate;
}

@-webkit-keyframes criss-cross-left {
	0% {
		left: -20px;
	}
	50% {
		left: 50%;
		width: 20px;
		height: 20px;
	}
	80% {
		left: 50%;
		width: 500px;
		height: 500px;
	}
}

@keyframes criss-cross-left {
	0% {
		left: -20px;
	}
	50% {
		left: 50%;
		width: 20px;
		height: 20px;
	}
	100% {
		left: 50%;
		width: 500px;
		height: 500px;
	}
}

@-webkit-keyframes criss-cross-right {
	0% {
		right: -20px;
	}
	50% {
		right: 50%;
		width: 20px;
		height: 20px;
	}
	100% {
		right: 50%;
		width: 500px;
		height: 500px;
	}
}

@keyframes criss-cross-right {
	0% {
		right: -20px;
	}
	50% {
		right: 50%;
		width: 20px;
		height: 20px;
	}
	100% {
		right: 50%;
		width: 500px;
		height: 500px;
	}
}
.wcc-btn.link-btn{
    height: 33px;
    display: inline-block;
    border-radius: 0.375rem;
    font-weight: 400;
}
/*Inner page btn and link effect*/
.wcc-btn {
	color: rgba(255, 255, 255, 1);
	-webkit-transition: all 0.5s;
	-moz-transition: all 0.5s;
	-o-transition: all 0.5s;
	transition: all 0.5s;
	position: relative;
	border: 1px solid rgba(255, 255, 255, 0.5);
	overflow: hidden;
    background-color:#CE0034;
    padding: 5px 20px;
    font-size: 14px;
}
.wcc-btn:hover {
    background-color:#CE0034;
    color:#ffffff;
}
.wcc-btn:before, .wcc-btn:after {
	content: '';
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	z-index: 1;
	-webkit-transition: all 0.5s;
	-moz-transition: all 0.5s;
	-o-transition: all 0.5s;
	transition: all 0.5s;
	opacity: 1;
	-webkit-transform: translate(-105%, 0);
	transform: translate(-105%, 0);
	border-right-width: 1px;
	border-right-style: solid;
	border-right-color: rgba(255, 255, 255, 1);
	background-color: rgba(255, 255, 255, 0.25);
}
.wcc-btn:after {
	-webkit-transition-delay: 0.2s;
	transition-delay: 0.2s;
}
.wcc-btn:hover:before, .wcc-btn:hover:after {
	opacity: 0;
	-webkit-transform: translate(0, 0);
	transform: translate(0, 0);
}
/* Button & Link Effect */

/* DataTable Custom */
table.dataTable thead>tr>th.dt-orderable-asc span.dt-column-order:before, table.dataTable thead>tr>th.dt-ordering-asc span.dt-column-order:before, table.dataTable thead>tr>td.dt-orderable-asc span.dt-column-order:before, table.dataTable thead>tr>td.dt-ordering-asc span.dt-column-order:before {
    position: absolute;
    display: block;
    bottom: 50%;
    content: "↑";
    content: "↑" / "" !important;
}
table.dataTable thead>tr>th.dt-orderable-desc span.dt-column-order:after, table.dataTable thead>tr>th.dt-ordering-desc span.dt-column-order:after, table.dataTable thead>tr>td.dt-orderable-desc span.dt-column-order:after, table.dataTable thead>tr>td.dt-ordering-desc span.dt-column-order:after {
    position: absolute;
    display: block;
    top: 50%;
    content: "↓";
    content: "↓" / "" !important;
}
table.dataTable thead>tr>th.dt-ordering-asc span.dt-column-order:before, table.dataTable thead>tr>th.dt-ordering-desc span.dt-column-order:after, table.dataTable thead>tr>td.dt-ordering-asc span.dt-column-order:before, table.dataTable thead>tr>td.dt-ordering-desc span.dt-column-order:after {
    opacity: .8 !important;
}
table.dataTable thead>tr>th.dt-orderable-desc span.dt-column-order:after, table.dataTable thead>tr>th.dt-ordering-desc span.dt-column-order:after, table.dataTable thead>tr>td.dt-orderable-desc span.dt-column-order:after, table.dataTable thead>tr>td.dt-ordering-desc span.dt-column-order:after {
    position: absolute;
    display: block;
    top: 33% !important;
    content: "↓";
    content: "↓" / "" !important;
    left: 7px !important;
}
table.dataTable thead>tr>th.dt-orderable-asc span.dt-column-order:before, table.dataTable thead>tr>th.dt-orderable-asc span.dt-column-order:after, table.dataTable thead>tr>th.dt-orderable-desc span.dt-column-order:before, table.dataTable thead>tr>th.dt-orderable-desc span.dt-column-order:after, table.dataTable thead>tr>th.dt-ordering-asc span.dt-column-order:before, table.dataTable thead>tr>th.dt-ordering-asc span.dt-column-order:after, table.dataTable thead>tr>th.dt-ordering-desc span.dt-column-order:before, table.dataTable thead>tr>th.dt-ordering-desc span.dt-column-order:after, table.dataTable thead>tr>td.dt-orderable-asc span.dt-column-order:before, table.dataTable thead>tr>td.dt-orderable-asc span.dt-column-order:after, table.dataTable thead>tr>td.dt-orderable-desc span.dt-column-order:before, table.dataTable thead>tr>td.dt-orderable-desc span.dt-column-order:after, table.dataTable thead>tr>td.dt-ordering-asc span.dt-column-order:before, table.dataTable thead>tr>td.dt-ordering-asc span.dt-column-order:after, table.dataTable thead>tr>td.dt-ordering-desc span.dt-column-order:before, table.dataTable thead>tr>td.dt-ordering-desc span.dt-column-order:after{
    opacity: 1 !important;
    line-height: 9px;
    font-size: 16px !important;
    color:#9196C7 !important ;
}
table.dataTable thead>tr>th.dt-orderable-asc span.dt-column-order:before, table.dataTable thead>tr>th.dt-ordering-asc span.dt-column-order:before, table.dataTable thead>tr>td.dt-orderable-asc span.dt-column-order:before, table.dataTable thead>tr>td.dt-ordering-asc span.dt-column-order:before{
    bottom: 45% !important;
    content: "↑";
    content: "↑" / "" !important;
    left: -1px !important;
}
th, td {
    white-space: nowrap !important;
}
.dt-paging-button.active .page-link{
    background-color: #B59E9E !important;
    border-color:#B59E9E !important ;
    color:#ffffff;
}
.dt-paging-button .page-link{
    font-size: 13px;
}
.dt-paging-button .page-link.previous, .dt-paging-button .page-link.next{
    color: #9196C7;
}
.dt-paging-button.active .page-link:focus{
    box-shadow: none !important;
    font-size: 13px;
}
.dt-length select{
    height: 35px !important;
}
div.dt-container div.dt-length label {
    font-weight: normal;
    text-align: left;
    white-space: nowrap;
    width: 42px !important;
    overflow: hidden !important; 
    position: relative;
    top: 5px;
}
div.dt-container div.dt-search input {
    margin-left: .5em;
    display: inline-block;
    width: 80% !important;
    height: 35px;
}
table.dataTable thead>tr>th.dt-orderable-asc, table.dataTable thead>tr>th.dt-orderable-desc, table.dataTable thead>tr>th.dt-ordering-asc, table.dataTable thead>tr>th.dt-ordering-desc, table.dataTable thead>tr>td.dt-orderable-asc, table.dataTable thead>tr>td.dt-orderable-desc, table.dataTable thead>tr>td.dt-ordering-asc, table.dataTable thead>tr>td.dt-ordering-desc {
    position: relative;
    padding-right: 40px !important;
    padding-left: 19px;
}
table.dataTable thead>tr>th.dt-orderable-asc:first-child{
    padding-right: 15px !important;
}
table.dataTable thead>tr>th.dt-orderable-asc:nth-child(2){
    padding-right: 18px !important;
}
table.dataTable thead > tr > th.dt-orderable-asc:hover, table.dataTable thead > tr > th.dt-orderable-desc:hover, table.dataTable thead > tr > td.dt-orderable-asc:hover, table.dataTable thead > tr > td.dt-orderable-desc:hover {
    outline: rgba(0, 0, 0, 0.05) solid 0px !important;
    outline-offset: -2px;
}
.datepicker table tr td.today, .datepicker table tr td.today.disabled, .datepicker table tr td.today.disabled:hover, .datepicker table tr td.today:hover{
    background-color: #CE0034 !important;
    background-image:none !important;
    color: #ffffff !important;
}
/* DataTable Custom */

/* Theme Colors*/
.mcc-p, .mcc-content{
    color:#9196C7;
}
/* Theme Colors*/
/* Scroller */
.dt-container .dt-scroll-body::-webkit-scrollbar, .cc-notifications::-webkit-scrollbar{
	width: 5px;
	height: 5px;
}
.dt-container .dt-scroll-body::-webkit-scrollbar-track, .cc-notifications::-webkit-scrollbar-track {
	-webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
	-webkit-border-radius: 10px;
	border-radius: 10px;
}
.dt-container .dt-scroll-body::-webkit-scrollbar-thumb, .cc-notifications::-webkit-scrollbar-thumb {
	-webkit-border-radius: 10px;
	border-radius: 10px;
	background: rgba(255, 255, 255, 0.3);
	-webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.5);
}
.dt-container .dt-scroll-body::-webkit-scrollbar-thumb:window-inactive, .cc-notifications::-webkit-scrollbar-thumb:window-inactive {
	background: rgba(255, 255, 255, 0.3);
}
.dt-container .dt-scroll-body::-webkit-input-placeholder, .cc-notifications::-webkit-input-placeholder {
	font-size: 14px;
}
.dt-container .dt-scroll-body:-moz-placeholder, .cc-notifications:-moz-placeholder { /* Firefox 18- */
	font-size: 14px;
}
.dt-container .dt-scroll-body::-moz-placeholder, .cc-notifications::-moz-placeholder {  /* Firefox 19+ */
	font-size: 14px;
}
.dt-container .dt-scroll-body:-ms-input-placeholder, .cc-notifications:-ms-input-placeholder {
	   font-size: 14px;
}
/* Scroller */

/* Custom Radio Button */
.cc-custom-checked [type="radio"]:checked,
.cc-custom-checked [type="radio"]:not(:checked) {
    position: absolute;
    left: -9999px;
}
.cc-custom-checked [type="radio"]:checked + label,
.cc-custom-checked [type="radio"]:not(:checked) + label
{
    position: relative;
    padding-left: 28px;
    cursor: pointer;
    line-height: 20px;
    display: inline-block;
    color: #666;
}
.cc-custom-checked [type="radio"]:checked + label:before,
.cc-custom-checked [type="radio"]:not(:checked) + label:before {
    content: '';
    position: absolute;
    left: 0;
    top: 0;
    width: 19px;
    height: 19px;
    border: 1px solid #ddd;
    border-radius: 100%;
    background: #fff;
}
.cc-custom-checked [type="radio"]:checked + label:before{
    background-color: #2FC57F;
    border: 1px solid #2FC57F;
}
.cc-custom-checked [type="radio"]:checked + label:after,
.cc-custom-checked [type="radio"]:not(:checked) + label:after {
    content: '';
    width: 9px;
    height: 9px;
    background: #ffffff;
    position: absolute;
    top: 5px;
    left: 5px;
    border-radius: 100%;
    -webkit-transition: all 0.2s ease;
    transition: all 0.2s ease;
}
.cc-custom-checked [type="radio"]:not(:checked) + label:after {
    opacity: 0;
    -webkit-transform: scale(0);
    transform: scale(0);
}
.cc-custom-checked [type="radio"]:checked + label:after {
    opacity: 1;
    -webkit-transform: scale(1);
    transform: scale(1);
}
/* Custom Radio Button */


/* Back to Top */
#back-to-top {
    background: rgba(211, 197, 197, 1);
    color: #fff;
    position: fixed;
    bottom: 20px;
    right: 20px;
    z-index: 1;
    display: none;
    text-align: center;
    border-radius: 10px;
    -moz-border-radius: 10px;
    -webkit-border-radius: 10px;
    -o-border-radius: 10px;
    height: 50px;
    width: 50px;
    line-height: 45px;
    background-repeat: no-repeat;
    background-position: center;
    transition: background-color 0.1s linear;
    -moz-transition: background-color 0.1s linear;
    -webkit-transition: background-color 0.1s linear;
    -o-transition: background-color 0.1s linear;
  }
  #back-to-top i {
    padding-top: 15px;
    font-size: 13px;
    position: relative;
    top: 3px;
  }
  #back-to-top:hover {
    background: #fff;
    color: var(--primary);
    fill: var(--primary);
    border: 2px solid var(--primary);
  }
/* Back to Top */


.datepicker td, .datepicker th {
    text-align: center;
    width: 35px !important;
    height: 35px !important;
    -webkit-border-radius: 4px;
    -moz-border-radius: 4px;
    border-radius: 4px;
    border: none;
    font-size: 14px !important;
}
@media only screen and (max-width: 767px){
    .wcc-btn.link-btn {
        height: 44px;
        display: inline-block;
        border-radius: 0.375rem;
        font-weight: 400;
        text-align: center;
        line-height: 2.2;
    }
}

.error {
    font-size: 13px !important;
    margin-top: 7px !important;
    color: #f44336 !important;
    margin-bottom: 0 !important;
}